%global _root_libdir	/%{_lib}
%global _root_sbindir 	/sbin

Name:		nilfs-utils
Version:	2.2.9
Release:    1%{?dist}
Summary:	Utilities for managing NILFS v2 filesystems

License:	GPLv2+
URL:		http://nilfs.sourceforge.net
Source0:	http://nilfs.sourceforge.net/download/%{name}-%{version}.tar.bz2
BuildRequires: make
BuildRequires:	gcc, libuuid-devel, libmount-devel

%description
Userspace utilities for creating and mounting NILFS v2 filesystems.

%package devel
Summary:	NILFS2 filesystem-specific headers
Requires:	nilfs-utils = %{version}-%{release}

%description devel
nilfs-utils-devel contains the header files needed to develop NILFS
filesystem-specific programs.

You should install nilfs-utils-devel if you want to develop NILFS
filesystem-specific programs. If you install nilfs-utils-devel, you'll
also want to install nilfs-utils.

%prep
%setup -q

%build
%configure LDCONFIG=/bin/true --disable-static --libdir %{_root_libdir}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_root_libdir}/libnilfs*.la


%files
%doc COPYING ChangeLog
%config(noreplace) /etc/nilfs_cleanerd.conf
%{_root_sbindir}/mkfs.nilfs2
%{_root_sbindir}/mount.nilfs2
%{_root_sbindir}/nilfs_cleanerd
%{_root_sbindir}/umount.nilfs2
%{_sbindir}/nilfs-tune
%{_sbindir}/nilfs-clean
%{_sbindir}/nilfs-resize
%{_root_libdir}/libnilfscleaner.so.*
%{_root_libdir}/libnilfsgc.so.*
%{_bindir}/chcp
%{_bindir}/dumpseg
%{_bindir}/lscp
%{_bindir}/lssu
%{_bindir}/mkcp
%{_bindir}/rmcp
%{_mandir}/man1/lscp.1.gz
%{_mandir}/man1/lssu.1.gz
%{_mandir}/man5/nilfs_cleanerd.conf.5.gz
%{_mandir}/man8/chcp.8.gz
%{_mandir}/man8/dumpseg.8.gz
%{_mandir}/man8/mkcp.8.gz
%{_mandir}/man8/mkfs.nilfs2.8.gz
%{_mandir}/man8/mount.nilfs2.8.gz
%{_mandir}/man8/nilfs.8.gz
%{_mandir}/man8/nilfs_cleanerd.8.gz
%{_mandir}/man8/rmcp.8.gz
%{_mandir}/man8/umount.nilfs2.8.gz
%{_mandir}/man8/nilfs-tune.8.gz
%{_mandir}/man8/nilfs-clean.8.gz
%{_mandir}/man8/nilfs-resize.8.gz
%{_root_libdir}/libnilfs.so.*

%files devel
%{_root_libdir}/libnilfs.so
%{_root_libdir}/libnilfscleaner.so
%{_root_libdir}/libnilfsgc.so
%{_includedir}/nilfs.h
%{_includedir}/nilfs2_fs.h
%{_includedir}/nilfs_cleaner.h

%changelog
* Tue Aug 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.9-1
- initial build
